INOTIFY_INIT(2)

NAME
inotify_init - initialize an inotify instance

SYNOPSIS
#include <sys/inotify.h>

int inotify_init(void)

DESCRIPTION
inotify_init() initializes a new inotify instance and returns a file descriptor associated with a new inotify event queue.

RETURN VALUE
On success, inotify_init() returns a new file descriptor, or -1 if an error occurred (in which case, errno is set appropriately).

ERRORS

EMFILE
    The user limit on the total number of inotify instances has been reached.

ENFILE
    The system limit on the total number of file descriptors has been reached.

ENOMEM
    Insufficient kernel memory is available.

HISTORY
Inotify was merged into the 2.6.13 Linux kernel.

CONFORMING TO
This system call is Linux specific.

SEE ALSO
inotify_add_watch(2), inotify_rm_watch(2), inotify(7).